Package org.lwjgl.openal

# Class Util

java.lang.Object
org.lwjgl.openal.Util

public final class Util extends Object
Simple utility class for checking AL/ALC errors

Version:
  $Revision$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>, Brian Matzon invalid input: '<'brian@matzon.dk>

## Method Summary

Modifier and Type
Method
Description
`static void`
`checkALCError(ALCdevice device)`
Checks for any ALC errors and throws an unchecked exception on errors
`static void`
`checkALCValidContext(ALCcontext context)`
Checks for a valid context
`static void`
`checkALCValidDevice(ALCdevice device)`
Checks for a valid device
`static void`
`checkALError()`
Checks for any AL errors and throws an unchecked exception on errors

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### checkALCError

public static void checkALCError(ALCdevice device)
Checks for any ALC errors and throws an unchecked exception on errors

Parameters:
  `device` - Device for which to check ALC errors

### checkALError

public static void checkALError()
Checks for any AL errors and throws an unchecked exception on errors

### checkALCValidDevice

public static void checkALCValidDevice(ALCdevice device)
Checks for a valid device

Parameters:
  `device` - ALCdevice to check the validity of

### checkALCValidContext

public static void checkALCValidContext(ALCcontext context)
Checks for a valid context

Parameters:
  `context` - ALCcontext to check the validity of